using System;

internal sealed class Delegate106 : MulticastDelegate
{
	public extern object Invoke(Type type_0, string string_0);

	public static object smethod_0(Type type_0, string string_0, Delegate106 delegate106_1)
	{
		return delegate106_1(type_0, string_0);
	}

	public extern Delegate106(object object_0, IntPtr intptr_0);

	static Delegate106()
	{
		Class10.smethod_13(typeof(Delegate106).TypeHandle);
	}

	internal static Delegate106 delegate106_0;
}
